> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Valid Transitions

> Returns a role current employment type and the employment types it may transition to.

Required scope: `people:read`

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-valid-transitions
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-valid-transitions:
    get:
      operationId: getValidTransitions
      summary: Get Valid Transitions
      x-toku-required-scope: people:read
      description: >-
        Returns a role current employment type and the employment types it may
        transition to.


        Required scope: `people:read`
      parameters:
        - name: roleInOrgID
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetValidTransitionsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetValidTransitionsResponse:
      type: object
      properties:
        currentEmploymentType:
          type: string
          enum:
            - CONTRACTOR
            - EMPLOYEE
            - EX_EMPLOYEE
            - ADVISOR
            - SERVICE_PROVIDER
            - OTHER
        validTransitions:
          type: array
          items:
            type: string
            enum:
              - CONTRACTOR
              - EMPLOYEE
              - EX_EMPLOYEE
              - ADVISOR
              - SERVICE_PROVIDER
              - OTHER
      required:
        - currentEmploymentType
        - validTransitions
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
